#define WORDS_PER_GENOME 126 //4032bits = 126 32-bit words

// Define 4032-bit genomes
struct genome{
    uint32_t data[WORDS_PER_GENOME];
    float fitness;
};

// Swap values of two uint32_t's
void swap(uint32_t *a, uint32_t *b){
    uint32_t temp = *a;
    *a = *b;
    *b = temp; 
}

// For use w/ qsort to sort genomes by fitness
int cmp_genome(const void *a, const void *b){
    float c = ((struct genome *)a)->fitness * 100.0;
    float d = ((struct genome *)b)->fitness * 100.0;
    return((int)c - (int)d);
}

